test: provision test machine from tests

Don't rely on the deployment script to install the right config or to start the
services.

This further disentangles the tests from schutzbot.
This commit is contained in:
Tom Gundersen 2020-10-20 14:06:34 +00:00 committed by Ondřej Budai
parent 8fd93c0d7c
commit 931bd8be57
12 changed files with 28 additions and 7 deletions

View file

@ -14,6 +14,13 @@
set -euxo pipefail
#
# Provision the software under tet.
#
/usr/libexec/osbuild-composer-test/provision.sh
#
# Verify that this script is running in the right environment. In particular,
# it needs variables is set to access AWS.
@ -33,7 +40,6 @@ function cleanup() {
}
trap cleanup EXIT
#
# Install the aws client from the upstream release, because it doesn't seem to
# be available as a RHEL package.